<?
include_once '/home/krista02/vladsoft.tech/misoft/engine/config.php'; /// подключение к бд
    
	#берем нужную информацию об конкурсе
	$board_end = mysql_fetch_array( mysql_query( "SELECT * FROM board_kon WHERE id = '1'" ) );
	
	#делаем проверку активности конкурса
	if($board_end['date_end'] < time() AND $board_end['status'] == 1) {
	$board_prize = ($board_end['allsum'] - ($board_end['allsum'] * $config['board_percent']));
	$viruchka = ($board_end['allsum'] * $config['board_percent']);
	    
		#Берем в цыкле тего у кого больше всех очек, и выдаем ему приз
		$i = 0;
		$board_temp = mysql_query( "SELECT * FROM board_kon_temp ORDER BY summ DESC limit 1" );
		if ( mysql_num_rows( $board_temp ) > 0 ) {
			while ( $board_temp_row = mysql_fetch_array( $board_temp ) ) {
				$i++;
				$all_bet_end = mysql_fetch_array(mysql_query("SELECT SUM(bet) as sum FROM board_kon_temp"));
				
				#создаем запись в таблице завершеных конкурсов для истории
				mysql_query( "INSERT INTO board_kon_end SET date_start = '".$board_end['date_start']."', date_end = '".$board_end['date_end']."', lider_board = '".$board_temp_row['iduser']."', prize = '".$board_prize."', bet = '".$all_bet_end['sum']."'" );
				
				#обновляем данные о доске почета
				mysql_query( "UPDATE board_kon SET status = '0', actual_user = '0', date_start = '0', date_end = '0', allsum = '0', bet = '0' WHERE id = '1'" );
				
				#зачисляем приз пользователю с вычетом комиссии
				mysql_query( "UPDATE user SET money = money + '".$board_prize."' WHERE id = '".$board_temp_row['iduser']."'" );
				
				#удаляем всех участников конкурса
				mysql_query( "DELETE FROM board_kon_temp WHERE id > '0'" );
				
				#пишем в выручку сумму прибили
				mysql_query( "UPDATE viruchka SET money = money + '".$viruchka."' WHERE ident = '14'" );
			}
		}
	}

































?>